Payment order registrationAsk AIpost https://api.zenki.fi/v1/pay/ordersService that allows registering a payment order and associating it with a merchant.Body ParamsA JSON structure will be sent that will have the required information to create an order.versionstringrequiredlength ≤ 9Data model version, its current value should be v1.0.0.orderIdstring | nullUnique order identifier generated by the merchant. In order to have correct traceability and adequate conversion metrics, it is required to send the OrderId field or the CardId Field.cartIdstring | nullUnique identifier of the shopping cart that allows identifying the purchase of one or more products or services. In order to have correct traceability and adequate conversion metrics, it is required to send the OrderId field or the CardId Field.typestringenumrequiredIndicates the model for the product delivery or service delivery. Possible values: WITH_CARRIER - If a courier is going to be used for the shipment and delivery of the product or service. WITHOUT_CARRIER - If a courier is not going to be used for the shipment and delivery of the product or service. MIXED - If a courier is going to be used to send part of the products or services and another part is delivered without using a courier. WITH_CARRIERWITHOUT_CARRIERMIXEDAllowed:WITH_CARRIERWITHOUT_CARRIERMIXEDcountryCodeIso2stringrequiredlength ≤ 2Unique country identifier, the definition of the ISO_3166-1 standard is used with 2 characters, see:https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2 or https://www.iso.org/iso-3166-country-codes.htmlshopperobject | nullBuyer information.shopper object | nullbreakdownobjectrequiredSummary of shopping cart amounts.breakdown objectitemsarray of objectsrequiredSet of products or services considered within the shopping cart.items*ADD objectmetadataComplementary information of the order that the merchant requires to send and inform Zenkipay.HeadersX-ZENKI-PLUGIN-IDstringUnique customer identifier used to establish connection with Zenkipay services.Accept-LanguagestringIndicates the language type code for which the content of the services response is returned according to the language reported. The definition of the ISO_639 standard is used. See: https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes or https://www.iso.org/iso-639-language-codes.htmlContent-TypestringrequiredContent type accepted.AcceptstringrequiredAccepted formats.Responses 201Order created. 400Expected order parameter. 403Access denied. 404Resource not found. 406Headers not accepted. 428Parameter name cannot be found. 500Internal Server Error.Updated over 2 years ago